Subject: Re: [bug#66158] [PATCH] gnu: node-lts: Update to 18.18.0.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 24 Oct 2023 17:41:56 +0200

Hi,

Jelle Licht <[email-masked]> skribis:

> [email-masked] writes:
>
>> From: Jelle Licht <[email-masked]>
>>
>> * gnu/packages/node.scm (node-lts): Update to 18.18.0.
>> ---
>>
>>  gnu/packages/node.scm | 4 ++--
>>  1 file changed, 2 insertions(+), 2 deletions(-)
>>
>> diff --git a/gnu/packages/node.scm b/gnu/packages/node.scm
>> index d769066dc4..a933a83e98 100644
>> --- a/gnu/packages/node.scm
>> +++ b/gnu/packages/node.scm
>> @@ -738,14 +738,14 @@ (define-public llhttp-bootstrap
>>  (define-public node-lts
>>    (package
>>      (inherit node)
>> -    (version "18.17.1")
>> +    (version "18.18.0")
>>      (source (origin
>>                (method url-fetch)
>>                (uri (string-append "https://nodejs.org/dist/v" version
>>                                    "/node-v" version ".tar.gz"))
>>                (sha256
>>                 (base32
>> -                "0dachvhf5jxrb1av8mn2dikbhwklxsgc9y2zg4h50fcwh5d54mqi"))
>> +                "0z54vhfbb6g8j92z21xh8yg7rb48lqwxjw45g0qnwpxnw1z4spsw"))
>>                (modules '((guix build utils)))
>>                (snippet
>>                 '(begin
>>
>> base-commit: ec130e1a1b7f3b87b1a6e626754f7e7a07f6b717
>> -- 
>> 2.41.0
>
> Heads up: this breaks our node-openzwave-shared build, which happens due
> to a breaking change in the NPM that is shipped along with node. It will
> not work for many local `npm run build' scripts that use node-gyp for
> the same reason, so I don't think this should be merged as-is.
>
> I'm keeping an eye on https://github.com/npm/cli/issues/6842 for a
> proper fix, but if nobody objects, I'd like to try my hand at a custom
> generated wrapper script in `$output/lib/node_modules/npm/bin/node-gyp'
> that restores the older behaviour. We can revert this hack once there's
> a proper fix in upstream.
>
> Any thoughts?

None, but please do whatever you think is appropriate so we can push
this upgrade forward!

Thanks,
Ludo’.